<!DOCTYPE <!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>Calculator</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script>
    $(document).ready(function() {
        $("#submit").click(calculate);
        setInterval(function(){ alert('Please, use me...'); }, 30000);
        function calculate() {
            var x = document.getElementById('op1').value;
            var op = document.getElementById('op').value;
            var y = document.getElementById('op2').value;
            if (!checkInp(x) || !checkInp(y)) {
                showRes ('Error :(');
                return;
            }
            x = parseInt(x);
            y = parseInt(y);
            if ((op == 'div' || op == 'mod') && y == 0)
                showRes('It\'s over 9000!');
            else {
                switch (op) {
                    case 'add': res = x + y; break;
                    case 'sub': res = x - y; break;
                    case 'mult': res = x * y; break;
                    case 'div': res = x / y; break;
                    case 'mod': res = x % y; break;
                }
                showRes(res);
            }
        }
        function showRes(res) {
            console.log(res);
            alert(res);
        }
        function checkInp(inp) {
            return (/^\+?\d+$/.test(inp));
        }
    });
    </script>
</head>
<body>
    <form style="margin: 50px;">
        <input id='op1' type='text'>
        <select id='op'>
            <option value="add">+</option>
            <option value="sub">-</option>
            <option value="mult">*</option>
            <option value="div">/</option>
            <option value="mod">%</option>
        </select>
        <input id='op2' type='text'>
        <input type='submit' id='submit' value='Try me!'>
    </form>
</body>
</html>